Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlDecimal

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

All Known Subinterfaces:
  XmlByte, XmlInt, XmlInteger, XmlLong, XmlNegativeInteger, XmlNonNegativeInteger, XmlNonPositiveInteger, XmlPositiveInteger, XmlShort, XmlUnsignedByte, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort

    public interface XmlDecimal

extends XmlAnySimpleType

Corresponds to the XML Schema xs:decimal type.

Convertible to `BigDecimal`.

Nested Class Summary
`static class` | `XmlDecimal.Factory` A class with methods for creating instances of `XmlDecimal`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`BigDecimal` | `bigDecimalValue()` Deprecated. replaced with `getBigDecimalValue()`
`BigDecimal` | `getBigDecimalValue()` Returns this value as a `BigDecimal`
`void` | `set(BigDecimal bd)` Deprecated. replaced with `setBigDecimalValue(java.math.BigDecimal)`
`void` | `setBigDecimalValue(BigDecimal bd)` Sets this value as a `BigDecimal`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getBigDecimalValue

    BigDecimal getBigDecimalValue()

  Returns this value as a `BigDecimal`

### setBigDecimalValue

    void setBigDecimalValue(BigDecimal bd)

  Sets this value as a `BigDecimal`

### bigDecimalValue

    BigDecimal bigDecimalValue()

  Deprecated. replaced with `getBigDecimalValue()`

  Returns this value as a `BigDecimal`

### set

    void set(BigDecimal bd)

  Deprecated. replaced with `setBigDecimalValue(java.math.BigDecimal)`

  Sets this value as a `BigDecimal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD